set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue

insmod gzio

menuentry 'Install' {
    set background_color=black
    linux    /%install%/vmlinuz --- quiet
    initrd   /%install%/initrd.gz
}
menuentry 'Graphical install' {
    set background_color=black
    linux    /%install%/vmlinuz --- quiet
    initrd   /%install%/gtk/initrd.gz
}
submenu --hotkey=a 'Advanced options ...' {
    set menu_color_normal=cyan/blue
    set menu_color_highlight=white/blue
    set gfxpayload=keep
    menuentry '... Graphical expert install' {
        set background_color=black
        linux    /%install%/vmlinuz priority=low ---
        initrd   /%install%/gtk/initrd.gz
    }
    menuentry '... Graphical rescue mode' {
        set background_color=black
        linux    /%install%/vmlinuz rescue/enable=true --- quiet
        initrd   /%install%/gtk/initrd.gz
    }
    menuentry '... Graphical automated install' {
        set background_color=black
        linux    /%install%/vmlinuz auto=true priority=critical --- quiet
        initrd   /%install%/gtk/initrd.gz
    }
    menuentry '... Expert install' {
        set background_color=black
        linux    /%install%/vmlinuz priority=low ---
        initrd   /%install%/initrd.gz
    }
    menuentry '... Rescue mode' {
        set background_color=black
        linux    /%install%/vmlinuz rescue/enable=true --- quiet
        initrd   /%install%/initrd.gz
    }
    menuentry '... Automated install' {
        set background_color=black
        linux    /%install%/vmlinuz auto=true priority=critical --- quiet
        initrd   /%install%/initrd.gz
    }
    menuentry --hotkey=x '... Expert install with speech synthesis' {
        set background_color=black
        linux    /%install%/vmlinuz priority=low speakup.synth=soft ---
        initrd   /%install%/initrd.gz
    }
    menuentry --hotkey=r '... Rescue mode with speech synthesis' {
        set background_color=black
        linux    /%install%/vmlinuz rescue/enable=true speakup.synth=soft --- quiet
        initrd   /%install%/initrd.gz
    }
    menuentry --hotkey=a '... Automated install with speech synthesis' {
        set background_color=black
        linux    /%install%/vmlinuz auto=true priority=critical speakup.synth=soft --- quiet
        initrd   /%install%/initrd.gz
    }
    submenu '... Desktop environment menu ...' {
        set menu_color_normal=cyan/blue
        set menu_color_highlight=white/blue
        set gfxpayload=keep
        submenu '... GNOME desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            set gfxpayload=keep
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=gnome --- quiet
                initrd   /%install%/initrd.gz
            }
            menuentry '... Graphical install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=gnome --- quiet
                initrd   /%install%/gtk/initrd.gz
            }
            submenu '... GNOME advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                set gfxpayload=keep
                menuentry '... Graphical expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=gnome priority=low ---
                    initrd   /%install%/gtk/initrd.gz
                }
                menuentry '... Graphical automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=gnome auto=true priority=critical --- quiet
                    initrd   /%install%/gtk/initrd.gz
                }
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=gnome priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=gnome auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=gnome priority=low speakup.synth=soft ---
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=gnome auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
            menuentry --hotkey=s '... Install with speech synthesis' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=gnome speakup.synth=soft --- quiet
                initrd   /%install%/gtk/initrd.gz
            }
        }
        submenu '... KDE Plasma desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            set gfxpayload=keep
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=kde --- quiet
                initrd   /%install%/initrd.gz
            }
            menuentry '... Graphical install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=kde --- quiet
                initrd   /%install%/gtk/initrd.gz
            }
            submenu '... KDE Plasma advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                set gfxpayload=keep
                menuentry '... Graphical expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=kde priority=low ---
                    initrd   /%install%/gtk/initrd.gz
                }
                menuentry '... Graphical automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=kde auto=true priority=critical --- quiet
                    initrd   /%install%/gtk/initrd.gz
                }
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=kde priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=kde auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=kde priority=low speakup.synth=soft ---
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=kde auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
            menuentry --hotkey=s '... Install with speech synthesis' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=kde speakup.synth=soft --- quiet
                initrd   /%install%/gtk/initrd.gz
            }
        }
        submenu '... LXDE desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            set gfxpayload=keep
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=lxde --- quiet
                initrd   /%install%/initrd.gz
            }
            menuentry '... Graphical install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=lxde --- quiet
                initrd   /%install%/gtk/initrd.gz
            }
            submenu '... LXDE advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                set gfxpayload=keep
                menuentry '... Graphical expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=lxde priority=low ---
                    initrd   /%install%/gtk/initrd.gz
                }
                menuentry '... Graphical automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=lxde auto=true priority=critical --- quiet
                    initrd   /%install%/gtk/initrd.gz
                }
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=lxde priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=lxde auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=lxde priority=low speakup.synth=soft ---
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=lxde auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
            menuentry --hotkey=s '... Install with speech synthesis' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=lxde speakup.synth=soft --- quiet
                initrd   /%install%/gtk/initrd.gz
            }
        }
    }
}
submenu --hotkey=d 'Accessible dark contrast installer menu ...' {
    set menu_color_normal=white/black
    set menu_color_highlight=yellow/black
    set color_normal=white/black
    set color_highlight=yellow/black
    background_image
    set gfxpayload=keep
    menuentry '... Install' {
        set background_color=black
        linux    /%install%/vmlinuz theme=dark --- quiet
        initrd   /%install%/initrd.gz
    }
    menuentry '... Graphical install' {
        set background_color=black
        linux    /%install%/vmlinuz theme=dark --- quiet
        initrd   /%install%/gtk/initrd.gz
    }
    submenu --hotkey=a '... Advanced options ...' {
        set menu_color_normal=white/black
        set menu_color_highlight=yellow/black
        set color_normal=white/black
        set color_highlight=yellow/black
        background_image
        set gfxpayload=keep
        menuentry '... Graphical expert install' {
            set background_color=black
            linux    /%install%/vmlinuz priority=low theme=dark ---
            initrd   /%install%/gtk/initrd.gz
        }
        menuentry '... Graphical rescue mode' {
            set background_color=black
            linux    /%install%/vmlinuz rescue/enable=true theme=dark --- quiet
            initrd   /%install%/gtk/initrd.gz
        }
        menuentry '... Graphical automated install' {
            set background_color=black
            linux    /%install%/vmlinuz auto=true priority=critical theme=dark --- quiet
            initrd   /%install%/gtk/initrd.gz
        }
        menuentry '... Expert install' {
            set background_color=black
            linux    /%install%/vmlinuz priority=low theme=dark ---
            initrd   /%install%/initrd.gz
        }
        menuentry '... Rescue mode' {
            set background_color=black
            linux    /%install%/vmlinuz rescue/enable=true theme=dark --- quiet
            initrd   /%install%/initrd.gz
        }
        menuentry '... Automated install' {
            set background_color=black
            linux    /%install%/vmlinuz auto=true priority=critical theme=dark --- quiet
            initrd   /%install%/initrd.gz
        }
    }
}
menuentry --hotkey=s 'Install with speech synthesis' {
    set background_color=black
    linux    /%install%/vmlinuz speakup.synth=soft --- quiet
    initrd   /%install%/gtk/initrd.gz
}
